> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/android/standalone-modules/document-detector/builder/methods.md).

# Setting properties

Here is the updated table with Kotlin-like parameters and default values included in the description where applicable:

| Parameter                                                                             | Description                                                                                                                                                                                                                                                                               | Required |
| ------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | :------: |
| `mobileToken: String`                                                                 | Token associated with your account, to use the SDK.                                                                                                                                                                                                                                       |     ✅    |
| `setPersonId(personId: String?)`                                                      | User identifier for fraud profile identification purposes and to assist in the identification of Analytics logs in cases of bugs and errors.                                                                                                                                              |     ❌    |
| `setDocumentCaptureFlow(documentSteps: Array<DocumentDetectorStep>)`                  | Defines the document capture flow as explained.                                                                                                                                                                                                                                           |     ✅    |
| `setCaptureStages(captureStages: Array<CaptureStage>)`                                | Configures the requirements for each capture stage. Designed to make capture more flexible in cases where the user is unable to capture with all checks active, preventing them from getting stuck at this stage in their registration flow.                                              |     ❌    |
| `setPopupSettings(show: Boolean)`                                                     | Enables/disables the popups displayed before each document capture. Default: `true`.                                                                                                                                                                                                      |     ❌    |
| `setLayout(layoutId: Int?)`                                                           | Overrides the default SDK layout. Create a file in the layout folder of your project, copy this [template](https://gist.github.com/murilofank/4548349dd1a3c412ce81db60ac3b0644), and make the changes you want.                                                                           |     ❌    |
| `setStyle(styleResourceId: Int)`                                                      | Sets up a new style guideline for the SDK. Create a `styles.xml` file in your project with this [template](https://gist.github.com/murilofank/3ac0f921435466fd4e0b04d683597a38) and customize it.                                                                                         |     ❌    |
| `setNetworkSettings(requestTimeout: Int)`                                             | Defines SDK's requests timeout. Default: `60` seconds.                                                                                                                                                                                                                                    |     ❌    |
| `setLuminositySensorSettings(sensorLuminositySettings: SensorLuminositySettings?)`    | Defines the threshold between acceptable/unacceptable ambient brightness. Default: `5 lx`. Set `null` to disable this sensor.                                                                                                                                                             |     ❌    |
| `setOrientationSensorSettings(sensorOrientationSettings: SensorOrientationSettings?)` | Defines the threshold between correct/incorrect device orientation. Higher values make it more flexible. Default: `3 m/s²`. Set `null` to disable this sensor.                                                                                                                            |     ❌    |
| `setStabilitySensorSettings(sensorStabilitySettings: SensorStabilitySettings?)`       | Defines stability sensor settings. Default: `2000 ms` and `0.5 m/s²`. Set `null` to disable this sensor.                                                                                                                                                                                  |     ❌    |
| `setProxySettings(proxySettings: ProxySettings)`                                      | Defines proxy settings. Follow [this guide](/caf-sdk/android/standalone-modules/document-detector/builder/advanced-settings/proxy-settings.md)). Default: `null`.                                                                                                                         |     ❌    |
| `setPreviewSettings(previewSettings: PreviewSettings)`                                | Enables/disables and configures the visualization of the performed capture, requesting the user's confirmation to proceed. Default: disabled.                                                                                                                                             |     ❌    |
| `setCurrentStepDoneDelay(showDelay: Boolean, delay: Int)`                             | Delays the activity after the completion of each step. This method can be used to display a success message on the screen itself after the capture, for example. Default: `false`.                                                                                                        |     ❌    |
| `setMessageSettings(messageSettings: MessageSettings)`                                | Customizes messages displayed in the feedback label during the capture and analysis process. See the available attributes [here](/caf-sdk/android/standalone-modules/document-detector/builder/messages.md).                                                                              |     ❌    |
| `setResolutionSettings(resolution: Resolution)`                                       | Allows you to set the capture resolution. Options: `FULL_HD` (1920 x 1080), `QUAD_HD` (2560 x 1440), `ULTRA_HD` (3840 x 2160). Default: `FULL_HD`.                                                                                                                                        |     ❌    |
| `setCompressSettings(compressQuality: Int)`                                           | Configures the quality in the compression process. Expects values between `80` and `100`, where `100` is the best quality compression. Default: `90`.                                                                                                                                     |     ❌    |
| `enableGoogleServices(enable: Boolean)`                                               | Enables/disables features of the SDK that consume Google Services. Default: `true`. Disabling is not recommended due to the loss of security.                                                                                                                                             |     ❌    |
| `setUseDeveloperMode(use: Boolean)`                                                   | Enables developer mode when `true`. Not recommended for production; use only for testing. Default: `false`.                                                                                                                                                                               |     ❌    |
| `setUseAdb(use: Boolean)`                                                             | Enables Android Debug Bridge (ADB) debugging mode when `true`. Not recommended for production; use only for testing. Default: `false`.                                                                                                                                                    |     ❌    |
| `setUseDebug(use: Boolean)`                                                           | Allows using the app in debug mode when `true`. Not recommended for production; use only for testing. Default: `false`.                                                                                                                                                                   |     ❌    |
| `setGetImageUrlExpireTime(expireTime: String)`                                        | Sets the time the image URL will last on the server until it expires. Accepts intervals like `30m` (minutes), `24h` (hours), `10d` (days). Examples: `30m`, `1h 10m`, `10d`. Default: `3h`.                                                                                               |     ❌    |
| `setUploadSettings(uploadSettings: UploadSettings)`                                   | Configures document upload settings. The SDK flow will prompt the user to upload the document files instead of capturing them. Includes document type and quality checks. See [details here](/caf-sdk/android/standalone-modules/document-detector/builder/upload.md). Default: disabled. |     ❌    |
| `setAllowedPassportCountriesList(countryList: Array<CountryCodeList>)`                | Restricts accepted passports to specific issuing countries. See the full list of country codes [here](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3). Example: `setAllowedPassportCountriesList(arrayOf(CountryCodesList.BRA))`. Default: All countries.                               |     ❌    |
| `useManualCaptureAsFallback`                                                          | Defines whether manual capture should be used as a fallback mechanism when there are problems initializing the embedded AI. By default, this fallback mechanism is disabled.                                                                                                              |     ❌    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/android/standalone-modules/document-detector/builder/methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
